Firefox support has ended for Mac OS X 10.6, 10.7 and 10.8

Revision Information
  • Revision id: 134826
  • Created:
  • Creator: AliceWyman
  • Comment: resubmitting Oct 5, 2016 revision by cynthiapereira Comment: minor correction since it was approved as level 2 in error. I'll approve my resubmitted revision as minor and then delete cynthiapereira's revision.
  • Reviewed: Yes
  • Reviewed:
  • Reviewed by: AliceWyman
  • Is approved? Yes
  • Is current revision? No
  • Ready for localization: No
Revision Source
Revision Content
This article applies to Mac users only.

Firefox 49 requires Mac OS X 10.9 (Mavericks) or higher. If you are on an earlier version of Mac OS X, there are options for you to continue using a secure version of Firefox.

Visit this Apple Support page to find your version of OS X.

Option 1: Upgrade to an OS X version supported by Apple

In order to continue browsing safely, we recommend upgrading to an OS X version that Apple supports. Visit this Apple support page to learn more about upgrading.

While Firefox will still continue to work on unsupported versions, using Firefox on a supported version will provide you with the best and safest user experience.

Option 2: Download Firefox Extended Support Release (ESR) - until January 2017

Firefox Extended Support Release (ESR) version 45 will continue to receive updates on OS X 10.6, 10.7 and 10.8 until 2017. Version 45 is the last ESR version to receive updates. In 2017, ESR 45 will no longer be supported.

See the Firefox ESR page to download Firefox ESR.

Note: Some Firefox features might not be available on ESR.